Package org.apache.wiki.plugin

## Class PageViewPlugin.PageViewManager

- java.lang.Object
- - org.apache.wiki.plugin.PageViewPlugin.PageViewManager

All Implemented Interfaces:
  `java.util.EventListener`, `WikiEventListener`

Enclosing class:
  PageViewPlugin

    public final class PageViewPlugin.PageViewManager
    extends java.lang.Object
    implements WikiEventListener

Page view manager, handling all storage.

### Constructor Summary

Constructors
`PageViewManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed​(WikiEvent event)` Inspect wiki events for shutdown.
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)` Count a page hit, present a pages' counter or output a list of page counts.
`void` `initialize​(Engine engine)` Initialize the page view manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageViewManager

    public PageViewManager()

### Method Detail

#### initialize

    public void initialize​(Engine engine)

Initialize the page view manager.

Parameters:
  `engine` - The wiki engine.

#### actionPerformed

    public void actionPerformed​(WikiEvent event)

Inspect wiki events for shutdown.

Specified by:
  `actionPerformed` in interface `WikiEventListener`
Parameters:
  `event` - The wiki event to inspect.

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Count a page hit, present a pages' counter or output a list of page counts.

Parameters:
  `context` - the wiki context
  `params` - the plugin parameters
Returns:
  String Wiki page snippet
Throws:
  `PluginException` - Malformed pattern parameter.